﻿using Microsoft.Extensions.Configuration;
using System;
using System.Data.SqlClient;

namespace DicomServer.Core
{
    internal class Program
    {
        private const string AppsettingsFile = "appsettings.json";
        private const string ConnectionString = "ConnectionStrings:localServerDB";
        private const string PressAnyKey = "Press any key to shut down";

        protected Program() { }
        static void Main(string[] args)
        {
            IConfiguration config = new ConfigurationBuilder()
                  .AddJsonFile(AppsettingsFile)
                  .Build();

            var mainServer = new MainServer();

            string connectionString = config[ConnectionString];
            using SqlConnection connection = new SqlConnection(connectionString);
            connection.Open();
            mainServer.Startup(connection);

            Console.WriteLine(PressAnyKey);
            Console.ReadLine();
        }
    }
}
